Subject: Default offload settings in Ethernet drivers

From: Jan Ceuleers <[email-masked]>
Date: Thu, 11 Dec 2008 19:41:31 +0100

Hi!

A discussion recently took place on the power mailing list on the 
subject of the impact of (hardware-assisted) offload functions on the 
power efficiency of the overall system.

The discussion was brought on by me noticing that not all drivers enable 
  all of their offload features by default (case in point: r8169).

Although the discussion may not be complete, early indications are that:

1. Hardware-assisted offloads improve power efficiency unless 
implemented in a separate CPU (TOE / Total Offloading);

2. It would probably be a good idea to enable hardware-assisted offloads 
other than TOE by default given the above.

I would therefore like to sollicit views here:

1. Would changing default offload settings in Ethernet drivers help to 
save the planet?

2. Which offload settings does it make sense to enable by default?

Thanks, Jan